﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;

public partial class _Default : System.Web.UI.Page
{
    SqlConnection objConn = new SqlConnection(ConfigurationManager.AppSettings["CONN"]);
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            BindCities();
        lblCityExists.Text = String.Empty;
    }

    public void BindCities()
    {
        try
        {
            string strQuery = "SELECT id, city FROM tbl_city ORDER BY city";
            if (objConn.State != ConnectionState.Open)
                objConn.Open();
            SqlDataAdapter objDataAdapter = new SqlDataAdapter(strQuery, objConn);
            DataSet objDataset = new DataSet();
            objDataAdapter.Fill(objDataset);
            objDataset.Dispose();
            objConn.Close();

            if (objDataset.Tables[0].Rows.Count > 0)
            {
                objDataset.Dispose();
                drpCity.Items.Clear();
                drpCity.DataSource = objDataset;
                drpCity.DataTextField = "city";
                drpCity.DataValueField = "id";
                drpCity.DataBind();
                drpCity.Items.Insert(0, new ListItem("-- Select any city --", "0"));
            }
            else
            {
                drpCity.Items.Clear();
                drpCity.Items.Insert(0, new ListItem("-- Add New Record --", "0"));
            }
        }
        catch (Exception ex)
        {
            //
        }
    }

    protected void btnCity_Click(object sender, EventArgs e)
    {
        pnlCity.Visible = false;
        pnlAddCity.Visible = true;
        txtCity.Focus();
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            string strQuery = "EXEC sp_addCity '" + txtCity.Text.Trim() + "'";
            SqlCommand objCmd = new SqlCommand(strQuery, objConn);
            if (objConn.State != ConnectionState.Open)
                objConn.Open();

            SqlDataReader objDr = objCmd.ExecuteReader();
            if (objDr.Read())
            {
                if (objDr["already_exists"].ToString() == "0")
                {
                    string strId = objDr["unique_id"].ToString();
                    objDr.Close();
                    pnlCity.Visible = true;
                    pnlAddCity.Visible = false;
                    BindCities();
                    drpCity.SelectedValue = strId;
                    txtCity.Text = String.Empty;
                }
                else
                {
                    lblCityExists.Text = "'' " + txtCity.Text.Trim() + " ''" + " already exists";
                }
            }
        }
        catch (Exception ex)
        {
            //
        }
        finally
        {
            //
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        pnlCity.Visible = true;
        pnlAddCity.Visible = false;
    }
}